{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" />
  <title>BORROW BOOK LAND</title>
</head>
<style>
  * {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
  }

  .container {
    width: 100%;
    background-image: url("{% static 'assest/girl_with_book.jpg' %}");
    background-repeat: no-repeat;
    background-size: 100% 100%;
  }

  .container .row1 {
    display: flex;
    width: 100%;
    background: rgba(5, 0, 0, 0.4);
  }

  .container .row1 .col1 .logo {
    margin-top: 15px;
    margin-left: 20px;
  }

  .container .row1 .col1 {
    width: 40%;
    display: flex;
  }

  .container .row1 .col1 h1 {
    text-transform: uppercase;
    color: #226699;
    margin-top: 27px;
    margin-left: 20px;
    font-family: cursive;
  }

  .container .row1 .col-2 {
    width: 60%;
    margin-top: 40px;
  }

  .container .row1 .col-2 ul {
    display: flex;
    list-style: none;
    justify-content: space-evenly;
  }

  .container .row1 .col-2 ul li a {
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    font-size: large;
    font-family: Helvetica;
  }

  .container .row2 {
    width: 100%;
    margin-top: 50px;
  }

  .container .row2 .search-bar {
    text-align: center;
    margin-bottom: 50px;
  }
  .container .row2 .search-bar input[type="text"] {
    padding: 15px;
    border-radius: 5px 0px 0px 5px;
    font-size: 20px;
    margin-right: -4px;
    border: 0;
    transition: all 500ms;
  }
  .container .row2 .search-bar input[type="text"]:focus{
    outline: 0;
  }

  .container .row2 .search-bar input[type="submit"] {
    color: white;
    font-size: 20px;
    padding: 17px;
    border-radius: 0px 5px 5px 0px;
    background-color: #226699;
    border: 0;
    position: relative;
  }

  .container .row2 h1 span {
    font-family: cursive;
    margin-left: 7px;
  }

  .container .row2 .card-container {
    width: 100%;
    min-height: 20vh;
    display: flex;
    flex-wrap: wrap;
  }

  .container .row2 .card-container .card {
    width: 30%;
    min-height: 100px;
    background-color: rgba(34, 102, 153, 0.5);
    margin: 10px;
    padding: 20px;
    display: flex;
  }

  .container .row2 .card-container .card .image-box {
    max-width: 30%;
    overflow: hidden;
    max-height: 150px;
  }

  .container .row2 .card-container .card .image-box img {
    width: 100%;
  }

  .container .row2 .card-container .card .desc-info {
    width: 70%;
    color: white;
    padding-left: 40px;
  }

  .container .row2 .card-container .card .desc-info button {
    padding: 10px 20px;
    border-radius: 5px;
    border-style: none;
    margin-top: 10px;
    color: white;
    font-size: 15px;
    font-weight: bold;
    background-color: #226699;
    float: right;
  }

  .container .row2 .card-container .card .desc-info h3 {
    font-size: 20px;
  }

  .container .row2 .card-container .card .desc-info h6 {
    margin-bottom: 10px;
    font-size: 14px;
    color: wheat;
  }

  .container .row2 .card-container .card .desc-info h6:before {
    content: "- ";
  }

  .col2 {
    display: none;
    position: absolute;
    width: 50%;
    background-color: rgba(34, 102, 153, 0.5);
    padding: 50px;
    border-radius: 5px;
    top: 20px;
    left: 25%;
    z-index: 2;
  }

  .col2 p {
    color: white;
    font-family: Helvetica;
    font-size: 20px;
  }

  .col2 form h1 {
    color: white;
    font-family: Helvetica;
    text-align: center;
  }

  .col2 form p {
    margin: 10px;
  }

  .col2 form input[type="text"],
  input[type="tel"],
  input[type="file"],
  input[type="email"],
  select {
    padding: 10px;
    margin-left: 8px;
    width: 100%;
    border-radius: 5px;
    border-style: none;
  }

  .col2 form input[type="submit"] {
    padding: 15px 20px 15px 20px;
    border-radius: 5px;
    border-style: none;
    margin-top: 35px;
    margin-left: 230px;
    color: white;
    font-size: 15px;
    font-weight: bold;
    background-color: #226699;
  }

  .container .footer {
    width: 100%;
    background-color: rgba(34, 102, 153, 0.5);
    margin-top: 134px;
    display: flex;
  }

  .container .footer .col1f {
    width: 40%;
    padding: 10px;
    margin-left: 30px;
  }

  .container .footer .col1f ul {
    list-style: none;
    padding: 5px;
  }

  .container .footer .col1f ul hr {
    width: 17%;
  }

  .container .footer .col1f ul li a {
    color: white;
    font-family: Helvetica;
    font-size: 20px;
    text-decoration: none;
    text-transform: uppercase;
  }

  .container .row2 .col2 {
    width: 50%;
    background-color: rgba(34, 102, 153, 0.5);
    padding: 50px;
    margin-top: 15px;
    border-radius: 5px;
    margin-left: 340px;
  }

  .container .footer .col2f {
    width: 70%;
    padding: 20px;
    display: flex;
  }

  .container .footer .col2f .sec h1 {
    font-family: Helvetica;
    font-size: 25px;
    color: white;
  }

  .container .footer .col2f .sec h4 {
    font-family: Helvetica;
    color: white;
  }

  .container .footer .col2f .icons {
    padding: 20px;
    margin-left: 170px;
  }

  .container .footer .col2f .icons i {
    color: white;
    font-size: 30px;
    margin-left: 20px;
  }
</style>

<body>
  <div class="col2" id="formborrow">
    <form action="{% url 'bookborrow'%" method="post" enctype="multipart/form-data">
      {% csrf_token %}
      <h1>BORROW BOOK FORM</h1>
      <p>Name</p>
      <input type="text" name="name" id="name" placeholder="Your Name" required />
      <p>Email</p>
      <input type="email" name="email" id="email" placeholder="Your Email" required />
      <p></p>
      <p>Contact</p>
      <input type="tel" name="contact" id="contact" placeholder="Phone" required />
      <p>Name of Book</p>
      <input type="text" name="name_of_book" id="name_of_book" placeholder="Book Name" required />
      <p>Author of Book</p>
      <input type="text" name="author_of_book" id="author_of_book" placeholder="Author Name" required />
      <p>Genre</p>
      <select name="genre" id="genre" required>
        <option value=""><b>Fill Category</b></option>
        <option value="val1">Novel</option>
        <option value="val2">Fiction</option>
        <option value="val3">Biography</option>
        <option value="val4">Course Book</option>
      </select>
      <p>Address</p>
      <input type="text" name="location" id="adress" placeholder="Your Address" required />
      <input type="submit" onclick="submitted()" value="BORROW BOOK" />
    </form>
  </div>
  <div class="container" id="container">
    <div class="row1">
      <div class="col1">
        <div class="logo">
          <img src="{% static 'assest/bbl_logo.png' %}" alt="logo" width="100px" height="80px" />
        </div>
        <h1>borrow book land</h1>
      </div>
      <div class="col-2">
        <ul>
          <li><a href="./index.html">home</a></li>
          <li><a href="./sellBooks.html">sell books</a></li>
          <li><a href="./lendBooks.html">lend books</a></li>
          <li><a href="./borrowBooks.html">borrow books</a></li>
          <li><a href="./aboutUs.html">about us</a></li>
          <li><a href="./contactUs.html">contact us</a></li>
        </ul>
      </div>
    </div>
    <div class="row2">
      <form class="search-bar" action="{% url 'borrowsearch' %}" method="post">
        {% csrf_token %}
        <input type="text" name="search" id="search" placeholder="Search Book Store" required />
        <input class="fa fa-search" type="submit" value="">
      </form>
      <div class="card-container">
        {% for book in books %}
        <div class="card">
          <div class="image-box">
            <img src="{{book.image.url}}" alt="" />
          </div>
          <div class="desc-info">
            <h3><i>{{book.nameOfBook}}</i></h3>
            <h6>{{book.authorOfBook}}</h6>
            <p>Phone No. <span>{{book.phoneNo}}</span></p>
            <p>Address: <span>{{book.address}}</span></p>
            <button onclick="show()">Borrow Book</button>
          </div>
        </div>
        {% endfor%}
      </div>
    </div>
    <div class="footer">
      <div class="col1f">
        <ul>
          <li><a href="#">About Us</a></li>
          <br />
          <li><a href="#">Contact Us</a></li>
          <br />
          <li><a href="#">Privacy</a></li>
        </ul>
      </div>
      <div class="col2f">
        <div class="sec">
          <h1>Borrow Book Land &reg;</h1>
          <br /><br />
          <h4>&copy; borrow book land Inc. All rights reserved</h4>
        </div>
        <div class="icons">
          <i class="fa fa-google"></i>
          <i class="fa fa-linkedin"></i>
          <i class="fa fa-facebook-f"></i>
          <i class="fa fa-instagram"></i>
          <i class="fa fa-twitter"></i>
        </div>
      </div>
    </div>
  </div>
  <script>
    let form = document.getElementById("formborrow");
    let container = document.getElementById("container");
    function show() {
      form.style.display = "block";
      container.style.opacity = 0.2;
    }
    function submitted() {
      alert("Form is submitted successfully. Thank you !");
    }
  </script>
    
</body>

</html>